Method: projects.keys.updatePolicy

Updates the policy for a key.

HTTP request

PATCH https://recaptchaenterprise.googleapis.com/v1/{policy.name=projects/*/keys/*/policy}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
policy.name

string

Identifier. Resource name for this policy. Format: "projects/{project}/keys/{key}/policy" for a policy under a key.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The mask to control which fields of the policy get updated. If the mask is not present, all fields are updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Policy.

Response body

If successful, the response body contains an instance of Policy.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • recaptchaenterprise.policies.update

For more information, see the IAM documentation.